kubuntu-notification-helper (15.04ubuntu5) vivid; urgency=medium

  * Fix up restricted install hook LP: #1439147
  * Fix up reboot event LP: #1439141

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 01 Apr 2015 18:45:58 +0200

kubuntu-notification-helper (15.04ubuntu4) vivid; urgency=medium

  * Fix infinite recursion and language lookup in hooks LP: #1434226
    + New class Locale to rip apart an input locale and build possible
      language value combinations from it. This is needed as some hooks use
      the encoding as part of the language identifier, which the previous code
      entirely disregarded.
    + Fix inifinte recursion when reading hook fields that broke in the qt5
      port as two functions differing by argument were folded into one causing
      infinite recursion when trying to read the actual values out of the map.
    + Defer the actual reading from the map to QMap#value which is really what
      should have been used all along (use case: read value, but fall back to
      default if key is not present).
    + Introduce a simple test case for hook reading checking invalidity and
      validity and actually reading fields along with 2 localized versions in
      the formats I have seen in use.
    + Introduce a test case for the new locale class ensuring that locale
      parsing is working as well as combination construction is correct and
      returns a list with correct order.
  * Import translations from launchpad.
  * Fix kcmshell4 -> kcmshell5 call.

 -- Harald Sitter <sitter@kde.org>  Wed, 01 Apr 2015 16:13:56 +0200

kubuntu-notification-helper (15.04ubuntu3) vivid; urgency=medium

  * Fix install paths
  * Fix .desktop file

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 31 Mar 2015 12:54:15 +0200

kubuntu-notification-helper (15.04ubuntu2) vivid; urgency=medium

  * Set library translation domain for kded and kcm so that translations are
    actually loaded.

 -- Harald Sitter <sitter@kde.org>  Thu, 26 Mar 2015 12:47:01 +0100

kubuntu-notification-helper (15.04ubuntu1) vivid; urgency=medium

  * KDE Frameworks 5 port

 -- Harald Sitter <sitter@kde.org>  Wed, 21 Jan 2015 09:36:00 +0100

kubuntu-notification-helper (14.10ubuntu2) utopic; urgency=medium

  * Fix a logic error with init handling -> explicitly set the init bool to
    true/false, previously it would always be true as a return was missing

 -- Harald Sitter <apachelogger@kubuntu.org>  Wed, 25 Jun 2014 10:46:45 +0200

kubuntu-notification-helper (14.10ubuntu1) utopic; urgency=medium

  * Order driverevent LP: #1282470
  * Fix cmake based lazy timeout setting
  * Move driverevent apt init to show() to make object construction cheaper
    and take advantage of lazy init

 -- Harald Sitter <apachelogger@kubuntu.org>  Wed, 09 Apr 2014 11:34:16 +0200

kubuntu-notification-helper (14.04ubuntu11) trusty; urgency=medium

  * Set dbusinterface timeout to highest possible value to prevent timeouts
    when the dbus helper is tediously slow (LP: #1303209)

 -- Harald Sitter <apachelogger@kubuntu.org>  Mon, 07 Apr 2014 14:55:41 +0200

kubuntu-notification-helper (14.04ubuntu10) trusty; urgency=medium

  * Work around a bug in ubuntu-drivers-common not reporting the vbox
    dkms driver as recommended. Previously recommended && !installed were the
    primary requirements for a driver notification. Now we will also consider
    the possible-driver-list-length. If the list only has one entry we will
    show a notification even if that one entry is not recommended.
  * Add a kDebug to the module's ::init to see when the lazy init timer 
    actually runs out.
 
 -- Harald Sitter <apachelogger@kubuntu.org>  Wed, 02 Apr 2014 11:52:05 +0200

kubuntu-notification-helper (14.04ubuntu9) trusty; urgency=medium

  * Port driverevent to new dbus API, needs some code copy for marshalling
    as doing an automarshall to variant types somehow does not work
    as expected.
    + This repairs driver availability notification
  * Instead of harcoding the init delay, allow definition through cmake,
    debian/rules now defines the standard 3 minute delay while manual builds
    will default to 1second. This removes the need to manually twiddle the
    value when one wants to test changes.

 -- Harald Sitter <apachelogger@kubuntu.org>  Tue, 01 Apr 2014 13:28:16 +0200

kubuntu-notification-helper (14.04ubuntu8) trusty; urgency=medium

  * Catch another source of PermissionError in whoopsie-upload-all,
    this should now handle all sources of permission errors LP: #1281884
  * Implement simple unique application tracking by registering on dbus,
    this prevents multiple invocation triggers. Also, the long
    upload timeout is less concerning with a unique application.
    + Depends on python3-dbus
  * Upload timeout reduced from 30 minutes to 15 minutes. This is just as
    arbitrary a value, but really 15 minutes should be more than enough time
    for most systems. With a 30 minute timeout and a bad connection one
    can easily get into a situation where upload-all is running 24/7, reducing
    the timeout improves this at least slightly.
  * Try apport report add_*() and except (OSError, SystemError, ValueError) to
    prevent unhandled exceptions when the system runs out of disk space for
    example LP: #1292766

 -- Harald Sitter <apachelogger@kubuntu.org>  Mon, 17 Mar 2014 13:06:34 +0100

kubuntu-notification-helper (14.04ubuntu7) trusty; urgency=medium

  [ Rohan Garg ]
  * Really fix LP: #1282074
  * Fix LP: #1282107 by making the kcm write PCI values
    and the kded module reading them.
  * Implement enabling/disabling notifications for
    Driver Events (LP: #1282107)

  [ Harald Sitter ]
  * Catch PermissionError in whoopsie-upload-all open()
  * Bump standards version from 3.9.4 to 3.9.5

 -- Harald Sitter <apachelogger@kubuntu.org>  Sun, 23 Feb 2014 17:40:42 +0100

kubuntu-notification-helper (14.04ubuntu6) trusty; urgency=low

  [ Harald Sitter ]
  * Prevent events from spwaning more than one notifier item at a time.
    Notifications are still issued whenever show() is called as they serve
    a reminding purpose. LP: #1275427
  * Drop ubuntu-release-upgrader-qt depends (upgrade handling moved to muon)
  * Implement L10nEvent notifying the user once (after login) if the language
    support is incomplete and uses qapt-batch to complete it.
    + Add new build dep on libkubuntu to do completeness checks.
  * Event::show now only manually dispatches a KNotification iff tray icons
    are deactivated. KSNI has a dedicated showMessage function that handles
    issuing a notification for a present KSNI, this also avoids pixmap passing
    in default installation giving an overall better quality.
  * Bump KNotification pixmap size to 32x32 (from 22x22) to reduce amount of
    ugly scaling artifacts (going up or down from 32 is more reasonable than
    for example 22 to 64 - as would be the case with a plasma notification).
  * Drop unused kcm_notificationhelper-es.po (supposedly the export from
    launchpad went wrong in 13.10)
  * Change module.cpp init list to c++11 'nullptr' and fix indention level

  [ Rohan Garg ]
  * Add a DriverEvent class to show notifications when the system has extra
    drivers that can be installed.
    + Misc. bug fixes 
      - LP: #128208 , LP: #1282082 , LP: #1282085 , LP: #1282471 ,
        LP: #1282468 , LP: #1282074 , LP: #1282462, LP: #1282095 ,
        LP: #1282464
  * Add runtime dep on kubuntu-driver-manager

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 20 Feb 2014 18:07:22 +0100

kubuntu-notification-helper (14.04ubuntu3) trusty; urgency=low

  * Add more useful debug output regarding the apport event.
  * Install whoopsie-upload-all as PROGRAMS, otherwise cmake won't set
    the executable flags and execution won't work.

 -- Harald Sitter <apachelogger@kubuntu.org>  Mon, 20 Jan 2014 13:17:29 +0100

kubuntu-notification-helper (14.04ubuntu2) trusty; urgency=low

  * Only display apport events for *.crash files.
  * Change the apportEvent slot to accept a file argument for atomic file name
    checks.
  * Introduce apport crash file validity check (must end in .crash & must
    be readable by the user & must not have .upload file & must not have
    .uploaded file).
    This greatly reduces pointless notification triggers.
  * Set VERSION_STRING via debian/rules, passed as define through cmake.
  * Use VERSION_STRING define instead of hardcoding versions.
  * Rename CMake project from notificationhelper to kubuntu-notification-helper
  * whoopsie-integration-set:
    + Add new class CrashFile to apportevent.h
      This class has the properties validity and autouploadallowed. Former
      is representing regular validity as mentioned above and latter checks
      for the presence of a .drkonq-accept file allowing upload via whoopsie
      without going through apport-kde.
    + Add new function to the module ::apportDirEvent() isolating directory
      batch checking when param path isEmpty.
    + Add new function to ApportEvent ::batchUploadAllowed() uploading
      all crashes that have been cleared by drkonqi without going through
      apport-kde.
    + For each file, regardless of processed in ::apportDirEvent (dir) or
      ::apportEvent (single file), a CrashFile instance is created and if
      autoUploadAllowed is true a script is invoked to batch upload all
      reports without GUI confirmation through whoopsie.
    + Add script whoopsie-upload-all (derived from apport's version) which
      will auto-upload all crashes with a .drkonqi-accept file. 

 -- Harald Sitter <apachelogger@kubuntu.org>  Thu, 12 Dec 2013 12:44:39 +0100

kubuntu-notification-helper (14.04ubuntu1) trusty; urgency=low

  * Fix LP: #1258484 k-n-h does not launch apport

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 06 Dec 2013 11:42:58 +0000

kubuntu-notification-helper (13.10ubuntu1) saucy; urgency=low

  * Add translations from Launchpad

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Oct 2013 13:07:12 +0100

kubuntu-notification-helper (13.04ubuntu3) raring; urgency=low

  * Build-dep on pkg-kde-tools (>= 0.15.3ubuntu7)
    + Previous versions were missing the python dep for msgsplit, so
      desktop file pot creation was supposedly not correct.

 -- Harald Sitter <apachelogger@kubuntu.org>  Mon, 18 Mar 2013 14:20:03 +0100

kubuntu-notification-helper (13.04ubuntu2) raring; urgency=low

  * Set X-Ubuntu-Use-Langpack: yes in control to enable pot generation
  * Build depend on pkg-kde-tools >= 0.15.3ubuntu5 to ensure l10n creation works
  * General package changes/updaes:
    + Add debian/source/options to compress with xz/9
    + Bump standards version to 3.9.4
    + Build depend on debhelper >= 9 and set compat to 9
  * Fix sequence call order in rules (first $@ for target, then sequence args)
  * Convert copyright to dep5

 -- Harald Sitter <apachelogger@ubuntu.com>  Tue, 12 Mar 2013 00:03:47 +0100

kubuntu-notification-helper (13.04ubuntu1) raring; urgency=low

  * Implement reboot on kdelibs upstream version changes (LP: #553182)
    kdelibs-bin is supposed to create /var/run/reboot-required-kdelibs in
    its postinst, containing the installed upstream version. If the version
    is different from the one the module was started with a reboot event
    is shown. 

 -- Harald Sitter <apachelogger@ubuntu.com>  Sun, 11 Nov 2012 17:17:31 +0100

kubuntu-notification-helper (12.10ubuntu3) quantal; urgency=low

  * src/daemon/installevent/installevent.cpp
    - Fix syntax, oops

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 10 Aug 2012 14:44:08 +0100

kubuntu-notification-helper (12.10ubuntu2) quantal; urgency=low

  * src/daemon/installevent/installevent.cpp:
    - Check for multiarch packages

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 10 Aug 2012 14:11:03 +0100

kubuntu-notification-helper (12.10ubuntu1) quantal; urgency=low

  * src/daemon/distupgradeevent/distupgradeevent.cpp:
    - Call kubuntu-devel-release-upgrade instead of directly running a
      python file out of a module, as python paths are subject to change
  * debian/control:
    - Update Vcs-Bzr lines to ~kubuntu-packagers
    - Depend on new package ubuntu-release-upgrader-qt (just a split of
      release upgrader code out of update-manager-kde)

 -- Michael Terry <mterry@ubuntu.com>  Mon, 02 Jul 2012 10:40:38 -0400

kubuntu-notification-helper (11.10ubuntu1) oneiric; urgency=low

  [ Jonathan Thomas ]
  * Check the result of QApt Batch in InstallEvent before we triumphantly
    declare success. (LP: #745133)
  * Make sure to initialize the KStatusNotifierItem object's pointer with 0,
    otherwise crashes will occur when trying to delete it due to the undefinied
    behavior of accessing an un-initialized pointer. Fixes a crash that occurs
    when k-n-h is configured to show only popup icons. (LP: #780718)
  * Use HIG-compliant labels for radio buttons. (No double negatives)

  [ Harald Sitter ]
  * Properly KProcess DisplayIf hook conditions as shell commands.
    Trying to evaluate a complex expression as program will make the process
    die and return as zombie! OMG! (LP: #515138)
  * If a hook is not valid and a notification is not required schedule the
    hook for deletion via event loop to save memory.
  * Use QLatin1String when useful in HookEvent 
  * In unused distupgradevent do not leak KProcess on availability checks.
  * Nice fact about KProcess... when starting detached you can actually
    throw away the KProcess right away (or reuse it). Consequently do not
    heap the KProcess for terminal Hook invocation, but keep it on the stack.
  * Bump standards version to 3.9.2

 -- Harald Sitter <apachelogger@ubuntu.com>  Sun, 25 Sep 2011 20:10:33 +0200

kubuntu-notification-helper (11.04ubuntu3) natty; urgency=low

  [ Jonathan Thomas ]
  * Run apport-checkreports with python, otherwise KProcess leaves zombies

  [ Aurelien Gateau ]
  * Improve layout of hook dialog:
    - Make it impossible to shrink the dialog beyond its minimum size
    - Make the run button bigger, but centered instead of stretched
    - Changed label of OK button to Close

  [ Jonathan Riddell ]
  * Hide apportevent after it is activated

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 31 Mar 2011 17:31:41 +0100

kubuntu-notification-helper (11.04ubuntu2) natty; urgency=low

  * Only set gstreamer0.10-pitfdll as a multimedia codec on i386. Thanks to
    Alex Lowe for the patch (LP: #696184)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 05 Jan 2011 11:30:59 -0500

kubuntu-notification-helper (11.04ubuntu1) natty; urgency=low

  [ Jonathan Thomas ]
  * Add optional system tray notification option, as well as a tray icon/
    KDE popup notification combo option. With this option, the popup does not
    stay around forever, and does not have actions embedded in the popup.
    The popup retains persistency and embedded action buttons in popup-only
    mode.
  * Fix a small memory leak where the install dialog was not deleted when
    closed via the window decoration buttons.
  * Several small optimizations by passing QStrings by reference, as well as
    improved use of initializer lists.
  * Clarify that packages suggested for installation by InstallEvent may not
    always be suggested due to non-free-ness, but also due to Live CD size
    constraints, as in the case of KScreensaver. Also remove the bit saying
    that all packages suggested for installation are multimedia-related,
    since some of them aren't.
  * Split the packages suggested for installation into more groups, so that
    web browsers don't suggest CD codecs when installing flash, and vice-versa

  [ Jonathan Riddell ]
  * In src/daemon/installevent/installevent.cpp replace Xine plugin with
    GStreamer plugins

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 18 Nov 2010 16:38:48 +0000

kubuntu-notification-helper (10.10ubuntu5) maverick; urgency=low

  * Fix InstallEvent not being able to install packages as it passes
    an empty string as the first argument to qapt-batch. (LP: #644947)
  * Add a bzr-builddeb config to make it build a native package.

 -- Felix Geyer <debfx-pkg@fobos.de>  Wed, 22 Sep 2010 14:19:19 +0200

kubuntu-notification-helper (10.10ubuntu4) maverick; urgency=low

  * Code style fixes
  * Add support for kopete-gcall to InstallEvent, since kopete-gcall depends
    on nonfree libs

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Fri, 03 Sep 2010 14:01:00 -0400

kubuntu-notification-helper (10.10ubuntu3) maverick; urgency=low

  * Change libavcodec-extra-52's description to "Video Encoding".
  * Add Vcs-* control fields.
  * Enable parallel building.
  * Fix treating removed (but not purged) packages as installed.

 -- Felix Geyer <debfx-pkg@fobos.de>  Tue, 03 Aug 2010 14:36:29 +0200

kubuntu-notification-helper (10.10ubuntu2) maverick; urgency=low

  [ Harald Sitter ]
  * Install libavcodec-extra-52 instead of a transitional package (LP: #571139)

  [ Jonathan Thomas ]
  * Update the KCM's .desktop file for the new System Setting layout
  * Use KWindowSystem::forceActivateWindow to bring the install and hook
    dialogs on top when the user activates them
  * Use lazy initialization techniques to minimize the impact we have on the
    startup of kded
  * Use QStringBuilder for some minor string construction optimizations
  * Fix a memory leak where Hook objects would not get deleted until reboot
  * Port InstallEvent from install-package to qapt-batch
  * Add a dependency on qapt-batch, and remove the dependency on
    install-package
  * Remove now-unnecessary update-notifier-kde transitional package
  * Bump Standards-Version to 3.9.1

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 20 Jul 2010 09:40:47 -0400

kubuntu-notification-helper (10.10ubuntu1) maverick; urgency=low

  * Add explicit build-depend on cmake since kdelibs5-dev no longer does

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 18 May 2010 19:42:38 -0400

kubuntu-notification-helper (10.04ubuntu4) lucid; urgency=low

  [ Amichai Rothman ]
  * Correctify iterators for stability and optimization

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 14 Apr 2010 21:40:48 -0400

kubuntu-notification-helper (10.04ubuntu3) lucid; urgency=low

  [ Harald Sitter ]
  * Add screensaver support to the installerevent (LP: #558333)

  [ Jonathan Thomas ]
  * Do a one-time check for hooks on startup, so that hooks meant for the
    first boot actually show up. (LP: #557217)

 -- Harald Sitter <apachelogger@ubuntu.com>  Thu, 08 Apr 2010 12:29:38 +0200

kubuntu-notification-helper (10.04ubuntu2) lucid; urgency=low

  [ Harald Sitter ]
  * update-notifier-kde is arch all, not any

  [ Amichai Rothman ]
  * Fix update notification crashes
  * Fix update notification i18n support

 -- Amichai Rothman <amichai2@amichais.net>  Sun, 28 Mar 2010 22:56:45 +0300

kubuntu-notification-helper (10.04ubuntu1) lucid; urgency=low

  * Add transitional package for upgrades from update-notifier-kde
  * Change versioning scheme for the above

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 21 Feb 2010 10:34:34 -0500

kubuntu-notification-helper (0.4.95ubuntu1) lucid; urgency=low

  * New upstream release:
    - Minor optimizations/code cleanup
    - Add Spanish translation by EagleScreen, thanks.
  * Add apport-gtk as an alternative to apport-kde for the Recommends field
  * Update debian/copyright

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 11 Feb 2010 13:22:02 -0500

kubuntu-notification-helper (0.4.90ubuntu2) lucid; urgency=low

  [ Rafael Belmonte ]
  * debian/copyright
    - Upstream URL fixed: kcm-touchpad URL replaced by
      kubuntu-notification-helper URL. (Closes LP: #519334).
  * debian/control
    - Small spell fault fixed in long description: "Helpert" replaced by
      "Helper".

  [ Jonathan Thomas ]
  * Remove the include on kubuntu.mk from debian/rules, the i18n stuff is
    now built in to kubuntu's kde.pm
  * Bump pkg-kde-tools build-depend to 0.5.0
  * Add Amichai Rothman to debian/copyright
  * Bump Standards-Version to 3.8.4, no changes necessary

 -- Rafael Belmonte <EagleScreen@gmail.com>  Tue, 09 Feb 2010 19:01:29 +0000

kubuntu-notification-helper (0.4.90ubuntu1) lucid; urgency=low

  * New upstream beta release
  * Include /usr/lib/kubuntu-desktop-i18n/debhelper/kubuntu.mk so that when
    this gets to main it'll have translation support.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 06 Jan 2010 12:28:15 -0500

kubuntu-notification-helper (0.4.85ubuntu1) lucid; urgency=low

  * Initial release.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 23 Nov 2009 19:42:34 -0500
